Security Enhanced Linux Reference Policy

# Layer: system

## Module: init

Tunables Interfaces

### Description:

System initialization programs (init and init scripts).

### Tunables:

init_upstart

##### Default value

false

##### Description

Enable support for upstart as the init program.

Return

### Interfaces:

init_all_labeled_script_domtrans( domain )

##### Summary

Transition to the init script domain for all labeled init script types

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

init_daemon_domain( domain , entry_point )

##### Summary

Create a domain for long running processes (daemons) which can be started by init scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Type to be used as a domain.
entry_point | Type of the program to be used as an entry point to this domain.

init_dbus_chat_script( domain )

##### Summary

Send and receive messages from init scripts over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_dbus_send_script( domain )

##### Summary

Send messages to init scripts over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_domain( domain , entry_point )

##### Summary

Create a domain which can be started by init.

##### Parameters

Parameter: | Description:
--- | ---
domain | Type to be used as a domain.
entry_point | Type of the program to be used as an entry point to this domain.

init_domtrans( domain )

##### Summary

Execute init (/sbin/init) with a domain transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_domtrans_script( domain )

##### Summary

Execute init scripts with an automatic domain transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_dontaudit_getattr_initctl( domain )

##### Summary

Do not audit attempts to get the attributes of initctl.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

init_dontaudit_lock_utmp( domain )

##### Summary

Do not audit attempts to lock init script pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_dontaudit_read_script_status_files( domain )

##### Summary

Do not audit attempts to read init script status files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_dontaudit_rw_initctl( domain )

##### Summary

Do not audit attempts to read and write initctl.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_dontaudit_rw_utmp( domain )

##### Summary

Do not audit attempts to read and write utmp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_dontaudit_stream_connect_script( domain )

##### Summary

Dont audit the specified domain connecting to init scripts with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit file descriptors from init.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_dontaudit_use_script_fds( domain )

##### Summary

Do not audit attempts to inherit init script file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_dontaudit_use_script_ptys( domain )

##### Summary

Do not audit attempts to read and write the init script pty.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

init_dontaudit_write_utmp( domain )

##### Summary

Do not audit attempts to write utmp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_exec( domain )

##### Summary

Execute the init program in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_exec_all_script_files( domain )

##### Summary

Execute all init scripts in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_exec_script_files( domain )

##### Summary

Execute init scripts in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_getattr_all_script_files( domain )

##### Summary

Get the attribute of all init script entrypoint files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_getattr_initctl( domain )

##### Summary

Get the attributes of initctl.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_getattr_script_files( domain )

##### Summary

Get the attribute of init script entrypoint files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_getattr_script_status_files( domain )

##### Summary

Get the attributes of init script status files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_getattr_utmp( domain )

##### Summary

Get the attributes of init script process id files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_getpgid( domain )

##### Summary

Get the process group of init.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_getpgid_script( domain )

##### Summary

Get the process group ID of init scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_labeled_script_domtrans( domain , init_script_file )

##### Summary

Transition to the init script domain on a specified labeled init script.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
init_script_file | Labeled init script file.

init_manage_utmp( domain )

##### Summary

Create, read, write, and delete utmp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain access allowed.

init_pid_filetrans_utmp( domain )

##### Summary

Create files in /var/run with the utmp file type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain access allowed.

init_ptrace( domain )

##### Summary

Ptrace init

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_ranged_daemon_domain( domain , entry_point , range )

##### Summary

Create a domain for long running processes (daemons) which can be started by init scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Type to be used as a domain.
entry_point | Type of the program to be used as an entry point to this domain.
range | Range for the domain.

init_ranged_domain( domain , entry_point , range )

##### Summary

Create a domain which can be started by init, with a range transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Type to be used as a domain.
entry_point | Type of the program to be used as an entry point to this domain.
range | Range for the domain.

init_ranged_system_domain( domain , entry_point , range )

##### Summary

Create a domain for short running processes which can be started by init scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Type to be used as a domain.
entry_point | Type of the program to be used as an entry point to this domain.
range | Range for the domain.

init_read_all_script_files( domain )

##### Summary

Read all init script files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_read_script_files( domain )

##### Summary

Read init scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_read_script_state( domain )

##### Summary

Read the process state (/proc/pid) of the init scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_read_state( domain )

##### Summary

Read the process state (/proc/pid) of init.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_read_utmp( domain )

##### Summary

Read utmp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_run_daemon( domain , role )

##### Summary

Start and stop daemon programs directly.

##### Description

Start and stop daemon programs directly in the traditional "/etc/init.d/daemon start" style, and do not require run_init.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be performing this action.

init_rw_initctl( domain )

##### Summary

Read and write initctl.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_rw_script_pipes( domain )

##### Summary

Read and write init script unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_rw_script_stream_sockets( domain )

##### Summary

Allow the specified domain to read/write to init scripts with a unix domain stream sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_rw_script_tmp_files( domain )

##### Summary

Read and write init script temporary data.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_rw_utmp( domain )

##### Summary

Read and write utmp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_script_domain( domain , script_file )

##### Summary

Create a domain used for init scripts.

##### Description

Create a domain used for init scripts. Can not be used in conjunction with init_script_file().

##### Parameters

Parameter: | Description:
--- | ---
domain | Type to be used as an init script domain.
script_file | Type of the script file used as an entry point to this domain.

init_script_file( script_file )

##### Summary

Create a file type used for init scripts.

##### Description

Create a file type used for init scripts. Can not be used in conjunction with init_script_domain().

##### Parameters

Parameter: | Description:
--- | ---
script_file | Type of the script file used as an entry point to this domain.

init_script_file_domtrans( source_domain , target_domain )

##### Summary

Execute a init script in a specified domain.

##### Description

Execute a init script in a specified domain.

No interprocess communication (signals, pipes, etc.) is provided by this interface since the domains are not owned by this module.

##### Parameters

Parameter: | Description:
--- | ---
source_domain | Domain to transition from.
target_domain | Domain to transition to.

init_script_file_entry_type( domain )

##### Summary

Make init scripts an entry point for the specified domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The domain for which init scripts are an entrypoint.

init_script_tmp_filetrans( domain , file_type , object_class )

##### Summary

Create files in a init script temporary data directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
file_type | The type of the object to be created
object_class | The object class.

init_sigchld( domain )

##### Summary

Send init a SIGCHLD signal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_sigchld_script( domain )

##### Summary

Send SIGCHLD signals to init scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_signal_script( domain )

##### Summary

Send generic signals to init scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_signull( domain )

##### Summary

Send init a null signal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_signull_script( domain )

##### Summary

Send null signals to init scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_spec_domtrans_script( domain )

##### Summary

Execute init scripts with a specified domain transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_stream_connect_script( domain )

##### Summary

Allow the specified domain to connect to init scripts with a unix socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_system_domain( domain , entry_point )

##### Summary

Create a domain for short running processes which can be started by init scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Type to be used as a domain.
entry_point | Type of the program to be used as an entry point to this domain.

init_tcp_recvfrom_all_daemons( domain )

##### Summary

Allow the specified domain to connect to daemon with a tcp socket

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_telinit( domain )

##### Summary

Use telinit (Read and write initctl).

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_udp_recvfrom_all_daemons( domain )

##### Summary

Allow the specified domain to connect to daemon with a udp socket

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_udp_send( domain )

##### Summary

Send UDP network traffic to init. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_udp_send_script( domain )

##### Summary

Send UDP network traffic to init scripts. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_use_fds( domain )

##### Summary

Inherit and use file descriptors from init.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_use_script_fds( domain )

##### Summary

Inherit and use init script file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_use_script_ptys( domain )

##### Summary

Read and write the init script pty.

##### Description

Read and write the init script pty. This pty is generally opened by the open_init_pty portion of the run_init program so that the daemon does not require direct access to the administrator terminal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_write_initctl( domain )

##### Summary

Write to initctl.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_write_script_pipes( domain )

##### Summary

Write an init script unnamed pipe.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

init_write_utmp( domain )

##### Summary

Write to utmp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return